<?php defined( 'ABSPATH' ) || exit;
$image_path = plugin_dir_url( self::$_plugin_file) . '/admin/images/';
?>
<script type="text/javascript">
    jQuery(document).ready( function($) {
        "use strict";
        $.post( ajaxurl, {
                action: '<?php echo self::$_plugin_info->slug_name . '_dismiss-dashboard-notice'; ?>',
                nonce: '<?php echo wp_create_nonce( self::$_plugin_info->slug_name . '-nonce' ); ?>'
            });
            $('.<?php echo self::$_plugin_info->slug_name; ?>-notice-welcome').remove();
    });
</script>
<div class="wrap">
	<h1><a href="https://reskator.fr" target="_blank" title="Accès au site du développeur full stack"><img src="<?php echo esc_url(plugin_dir_url(self::$_plugin_file) . 'admin/assets/reskator_ecusson_blc.png'); ?>" title="Logo écusson Reskator" height="80"></a><?php echo esc_html(self::$_plugin_info->display_name .' v'. self::$_plugin_info->version); ?><span class="desc"><?php _e('This plugin generates a Divi child theme with a simple clic!', 'rr_divi_childishly' ); ?></span></h1>
    <div class="clear"></div>
    <hr class="wp-header-end"/>
	<?php if ( ! empty($this->rr_msg['error'] ) ) { echo '<div class="notice notice-error fade"><p>'. $this->_get_msg('error') .'</p></div>'; } ?>
    <?php if ( ! empty($this->rr_msg['warning'] ) ) { echo '<div class="notice notice-warning fade"><p>'. $this->_get_msg('warning') .'</p></div>'; } ?>
	<?php if ( ! empty($this->rr_msg['info'] ) ) { echo '<div class=" notice notice-info fade"><p>'. $this->_get_msg('info') .'</p></div>'; } ?>
	<?php if ( ! empty($this->rr_msg['success'] ) ) { echo '<div class="notice notice-success fade"><p>'. $this->_get_msg('success') .'</p></div>'; } ?>
	<?php if ( ! empty($this->rr_msg['notice_rr'] ) ) { echo '<div class="notice notice_rr fade"><p>' . $this->_get_msg('notice_rr') .'</p></div>'; } ?>
    <div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
			<!-- Content -->
			<div id="post-body-content">
				<div id="normal-sortables" class="meta-box-sortables ui-sortable">
					<div class="postbox overflow=hidden">
						<h3 class="hndle"><span class="dashicons dashicons-admin-settings rrdc_collapse"></span><?php esc_html_e( 'Settings', 'rr_divi_childishly' ); ?></h3>
						<?php if ($this->is_divi_installed && $this->is_divi_activated ) : ?>
						<div class="inside">
							<form action="<?php echo $this->form_action; ?>" method="post" accept-charset="UTF-8">
                                <p>
                                    <label for="form_rr_name"><?php esc_html_e( 'What name do you want for this child theme?', 'rr_divi_childishly' ); ?><span class="required">*</span></label>
                                    <input type="text" name="form_rr_name" id="form_rr_name" class="widefat" tabindex="1" placeholder="<?php echo esc_attr( $this->form_rr_name ); ?>" pattern="[a-zA-Z0-9\- ]{1,25}" title="<?php esc_attr_e('This field contains invalid or too much characters (25 max [a-zA-A0-9 space+hyphens]).', 'rr_divi_childishly'); ?>" value="<?php esc_attr_e( $this->form_rr_name ); ?>" autofocus required />
                                </p>
                                <fieldset id="theme-options"><legend class="toggleHide"><?php esc_html_e('Edit default information','rr_divi_childishly'); ?></legend>
                                    <div id="child-options">
                                        <p>
                                            <label for="form_rr_author"><?php esc_html_e( 'The author’s name of this child theme will be:', 'rr_divi_childishly' ); ?><span class="required">*</span></label>
                                            <input type="text" name="form_rr_author" id="form_rr_author" class="widefat" tabindex="2" placeholder="<?php esc_attr_e( $this->form_rr_author ); ?>" pattern="[\p{L}' ]{1,50}" title="<?php esc_attr_e('This field contains invalid or too much characters (50 max).', 'rr_divi_childishly'); ?>" value="<?php esc_attr_e( $this->form_rr_author ); ?>" required />
                                        </p>
                                        <p>
                                            <label for="form_rr_author_url"><?php esc_html_e( 'If you wish, you can change the author’s website address of the child theme', 'rr_divi_childishly' ); ?><span class="required">*</span></label>
                                            <input type="url" name="form_rr_author_url" id="form_rr_author_url" class="widefat" tabindex="3" placeholder="<?php esc_attr_e( $this->form_rr_author_url ); ?>" pattern="https?://.+" title="<?php _e('Must start by http:// or https://', 'rr_divi_childishly'); ?>" value="<?php esc_attr_e( $this->form_rr_author_url ); ?>" required />
                                        </p>
                                        <p>
                                            <label for="form_rr_version"><?php esc_html_e( 'Which version number do you want to assign to this child theme?', 'rr_divi_childishly' ); ?><span class="required">*</span></label>
                                            <input type="text" name="form_rr_version" id="form_rr_version" class="widefat" tabindex="4" placeholder="1.0" pattern="[0-9\.]{1,7}" title="<?php esc_attr_e('This field contains invalid or too much characters (7 max. [0-9 + dot(s)]).', 'rr_divi_childishly'); ?>" value="<?php esc_attr_e( $this->form_rr_version ); ?>" required />
                                        </p>
                                    </div>
                                </fieldset>
                                <?php if ( $this->gd_loaded ) { ?>
                                <fieldset id="child-image"><legend class="toggleHide"><?php esc_html_e('Custom child theme image','rr_divi_childishly'); ?></legend>
                                    <div id="child-img">
                                        <p class="label customize"><?php esc_html_e( 'Which color do you want to give to the image that will represent this child theme?', 'rr_divi_childishly' ); ?></p>
                                        <p class="rr-row">
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-azur.png'; ?> " width="172" title="Azur">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="azur" <?php echo ($this->form_rr_color == "azur") ? 'checked="checked"': ''; ?> tabindex="5" id="color_r1">
                                                    <label for="color_r1">Azur</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-girly.png'; ?> " width="172" title="Girly">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="girly" <?php echo ($this->form_rr_color == "girly") ? 'checked="checked"': ''; ?> tabindex="6" id="color_r2">
                                                    <label for="color_r2">Girly</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-lilac.png'; ?> " width="172" title="Lilac">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="lilac" <?php echo ($this->form_rr_color == "lilac") ? 'checked="checked"': ''; ?> tabindex="7" id="color_r3">
                                                    <label for="color_r3">Lilac</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-lagoon.png'; ?> " width="172" title="Lagoon">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="lagoon" <?php echo ($this->form_rr_color == "lagoon") ? 'checked="checked"': ''; ?> tabindex="8" id="color_r4">
                                                    <label for="color_r4">Lagoon</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-turtledove.png'; ?> " width="172" title="Turtledove">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="turtledove" <?php echo ($this->form_rr_color == "turtledove") ? 'checked="checked"': ''; ?> tabindex="9" id="color_r5">
                                                    <label for="color_r5">Turtledove</label>
                                                </span>
                                            </span>
                                        </p>
                                        <p class="rr-row">
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-chestnut.png'; ?> " width="172" title="Chestnut">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="chestnut" <?php echo ($this->form_rr_color == "chestnut") ? 'checked="checked"': ''; ?> tabindex="10" id="color_r6">
                                                    <label for="color_r6">Chestnut</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-forest.png'; ?> " width="172" title="Forest">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="forest" <?php echo ($this->form_rr_color == "forest") ? 'checked="checked"': ''; ?> tabindex="11" id="color_r7">
                                                    <label for="color_r7">Forest</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-raspberry.png'; ?> " width="172" title="Raspberry">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="raspberry" <?php echo ($this->form_rr_color == "raspberry") ? 'checked="checked"': ''; ?> tabindex="12" id="color_r8">
                                                    <label for="color_r8">Raspberry</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-sunny.png'; ?> " width="172" title="Sunny">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="sunny" <?php echo ($this->form_rr_color == "sunny") ? 'checked="checked"': ''; ?> tabindex="13" id="color_r9">
                                                    <label for="color_r9">Sunny</label>
                                                </span>
                                            </span>
                                            <span class="rr-block"><img src="<?php echo $image_path . 'screenshot-reskator.png'; ?> " width="172" title="Reskator">
                                                <span class="rr-radio">
                                                    <input type="radio" name="form_rr_color" value="reskator" <?php echo ($this->form_rr_color == "reskator") ? 'checked="checked"': ''; ?> tabindex="14" id="color_r10">
                                                    <label for="color_r10">Reskator</label>
                                                </span>
                                            </span>
                                        </p>
                                    </div>
                                </fieldset>
                                <?php } // end if gd_loaded ?>
                                <fieldset id="child-goodies"><legend class="toggleHide"><?php esc_html_e('Bonus','rr_divi_childishly'); ?></legend>
                                    <div id="child-bonus">
                                        <div class="switch">
                                            <label for="form_rr_divi_comments" class="switch"><?php esc_html_e('Remove html comments that dot the Divi code?', 'rr_divi_childishly'); ?><input type="checkbox" id="form_rr_divi_comments" value="Yes" name="form_rr_divi_comments" class="switch" <?php echo ($this->form_rr_divi_comments) ? 'checked' : ''; ?> tabindex="15"/><span class="switch"></span></label>
                                        </div>
                                        <div class="switch">
                                            <label for="form_rr_divi_css" class="switch"><?php esc_html_e('Make the loading of the child theme’s stylesheet dynamic?', 'rr_divi_childishly'); ?><input type="checkbox" id="form_rr_divi_css" value="Yes" name="form_rr_divi_css" class="switch" <?php echo ($this->form_rr_divi_css) ? 'checked' : ''; ?> tabindex="16"/><span class="switch"></span></label>
                                        </div>
                                        <div class="switch">
                                            <label for="form_rr_divi_svg" class="switch"><?php esc_html_e('Allow upload .svg files?', 'rr_divi_childishly'); ?> <span class="normal"><?php esc_html_e('(for administrators only)', 'rr_divi_childishly'); ?></span><input type="checkbox" id="form_rr_divi_svg" value="Yes" name="form_rr_divi_svg" class="switch" <?php echo ($this->form_rr_divi_svg) ? 'checked' : ''; ?> tabindex="17"/><span class="switch"></span></label>
                                        </div>
                                        <div class="switch">
                                            <label for="form_rr_divi_selfping" class="switch"><?php esc_html_e('Disable self pingbacks?', 'rr_divi_childishly'); ?> <span class="normal"><?php esc_html_e('(when you reference one of your articles or pages in another article)', 'rr_divi_childishly'); ?></span><input type="checkbox" id="form_rr_divi_selfping" value="Yes" name="form_rr_divi_selfping" class="switch" <?php echo ($this->form_rr_divi_selfping) ? 'checked' : ''; ?> tabindex="17"/><span class="switch"></span></label>
                                        </div>
                                    </div>
                                </fieldset>
								<?php wp_nonce_field( self::$_plugin_info->slug_name, $this->form_nonce ); ?>
                                <input type="hidden" name="action" value="create" />
                                <p class="rr-exerg">
									<input name="submit" type="submit" name="Submit" value="<?php esc_attr_e( 'Create Divi Child Theme', 'rr_divi_childishly' ); ?>" />
                                </p>
							</form>
						</div>
                        <?php elseif($this->is_divi_installed && ! $this->is_divi_activated ) : ?>
                        <div class="inside">
                            <p class="rr_warning"><?php _e('Divi is not the currently activated theme', 'rr_divi_childishly'); ?></p>
                            <p><?php printf(__('<b>%s</b> has detected that the Divi theme is installed but is not enabled','rr_divi_childishly'), self::$_plugin_info->display_name); ?></p>
                            <p><?php _e('To create and activate a child theme, the parent theme must be enabled.', 'rr_divi_childishly'); ?></p>
                            <ul>
                                <li class="da-yes"><?php _e('Activate Divi by clicking the button below', 'rr_divi_childishly'); ?></li>
                            </ul>
                            <hr/>
		                    <form action="<?php esc_attr_e($this->form_action); ?>" method="post" accept-charset="UTF-8">
				                <?php wp_nonce_field( self::$_plugin_info->slug_name, $this->form_nonce ); ?>
                                <input type="hidden" name="action" value="switch_theme" />
                                <p class="rr-exerg"><input name="submit" type="submit" name="Submit" class="rr-button" value="<?php esc_attr_e( 'Yes! I want to enable Divi to create my child theme.', 'rr_divi_childishly' ); ?>" /></p>
                            </form>
		                </div>
                        <?php else : ?>
                        <div class="inside">
                            <p class="rr_warning"><?php _e('Divi is not installed', 'rr_divi_childisly'); ?></p>
                            <p><?php _e('You can get it from', 'rr_divi_childisly'); ?> <a onclick="<?php esc_js(window.open('https://www.elegantthemes.com/join/', '_blank')); ?>">Elegant Themes, Inc.</a> :</p>
                            <ul>
                                <li class="da-yes"><?php _e('Automatic updates for 1 year or for life according to your choice ;', 'rr_divi_childisly'); ?></li>
                                <li class="da-yes"><?php _e('The Divi theme and the Divi Builder ;', 'rr_divi_childisly'); ?></li>
                                <li class="da-yes"><?php _e('But also dozens of other themes ;', 'rr_divi_childisly'); ?></li>
                                <li class="da-yes"><?php _e('The Bloom plugin for newsletters ;', 'rr_divi_childisly'); ?></li>
                                <li class="da-yes"><?php _e('The Monarch plugin for social networks ;', 'rr_divi_childisly'); ?></li>
                                <li class="da-yes"><?php _e('Premium support ;', 'rr_divi_childisly'); ?></li>
                                <li class="da-yes"><?php _e('Unlimited Website usage !', 'rr_divi_childisly'); ?></li>
                            </ul>
                                <p class="rr-exerg"><button onclick="<?php esc_js(window.open('https://www.elegantthemes.com/join/', '_blank')); ?>"><?php _e('Yes, I want to benefit from the offer of Elegant Themes!', 'rr_divi_childisly'); ?></button></p>
                        </div>
						<?php endif; ?>
                    </div>
					<!-- /postbox -->
				</div>
				<!-- /normal-sortables -->
			</div>
            <!-- /post-body-content -->
			<!-- Sidebar -->
			<div id="postbox-container-1" class="postbox-container">
				<?php require_once( dirname( self::$_plugin_file ) .'/admin/template-admin-sidebar.php' ); ?>
			</div>
			<!-- /postbox-container -->
		</div>
	</div>
    <div class="clear"></div>
</div>