<?php
/**
 * Project: rr_divi_childishly
 * File:    class-rr_divi_childishly_activate.php
 * User:    reskator
 * Author:  Philippe Feryn - Reskator
 *
 * @Description
 * @since       1.0.0
 */

class RR_Divi_Childishly_Activate extends RR_Divi_Childishly {
	
	public static function activate() {
		
		// Make some checks before activating the plugin
		self::_check_before_activate();
		
		$plugin_option = [];
		$plugin_option['Status'] = 'On';
		$plugin_option['Welcome'] = 'Yes';
		
		// writes plugin info with autoload
		update_option( 'RR_Divi_Childishly_plugin', $plugin_option, true );
		
		unset($plugin_option);
	}
	
	// check php et wp versions
	private static function _check_before_activate() {
		
		$error = false;
		
		// Check PHP version
		if ( version_compare( phpversion(), parent::$_plugin_info->php_min ) < 0 ) {
			$msg = '<p style="text-align:center">'. sprintf( __( '<strong>%1$s</strong> requires PHP version %2$s minimum.<br/>This installation is actually running PHP version %3$s.', 'rr_divi_childishly' ), parent::$_plugin_info->display_name, '<code>' . parent::$_plugin_info->php_min . '</code>', '<code>' . phpversion() . '</code>' ) .'</p>';
			$error = true;
		}
		
		// Check WordPress version.
		global $wp_version;
		
		if ( version_compare( $wp_version, parent::$_plugin_info->wp_min ) < 0 ) {
			$msg = '<p style="text-align:center">'. sprintf( __( '<strong>%1$s</strong> requires WordPress version %2$s minimum.<br/>This installation is actually running WordPress version %3$s.', 'rr_divi_childishly' ), parent::$_plugin_info->display_name, '<code>' . parent::$_plugin_info->wp_min . '</code>', '<code>' . $wp_version . '</code>' ) .'</p>';
			$error = true;
		}
		
		if ( $error ) {
			if ( current_filter() !== 'activate_' . plugin_basename( RR_Divi_Childishly::$_plugin_file ) ) {
				require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
				deactivate_plugins( RR_Divi_Childishly::$_plugin_file, true );
			}
			
			$msg .= '<p style="text-align:center;color:grey">'. __('The plugin has been deactivated.', 'rr_divi_childishly') .'</p>';
			$msg .= '<hr style="border-top:1px solid #a90000"/><p style="text-align:center"><span>•</span> <strong><a style="color:#a90000;text-decoration:none" href="'.  parent::_get_current_url( false ) .'">'. __('Back to the Plugins Administration', 'rr_divi_childishly' ) .'</a></strong> <span>•</span></p>';
			wp_die( $msg , 'Erreur !' );
		}
	}
}